package com.goafanti.common.dao;

import com.goafanti.common.model.ExpenseRelationship;

import java.util.List;

public interface ExpenseRelationshipMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpenseRelationship record);

    int insertSelective(ExpenseRelationship record);

    ExpenseRelationship selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpenseRelationship record);

    int updateByPrimaryKey(ExpenseRelationship record);

    List<ExpenseRelationship> selectById(Integer id);

    ExpenseRelationship selectSonId(Integer id);
}
